--[[
Copyright (c) 2013 Natanael Copa <ncopa@alpinelinux.org>
Copyright (c) 2013-2014 Kaarle Ritvanen
See LICENSE file for license details
--]]

local M = require('acf2.model')

local Sshd = M.service('sshd')
Sshd.root_login = M.Boolean{
   addr='PermitRootLogin', ui_name='Permit root login', default=true
}
Sshd.password_auth = M.Boolean{
   addr='PasswordAuthentication',
   ui_name='Password authentication',
   default=true
}
Sshd.use_dns = M.Boolean{addr='UseDNS', ui_name='Use DNS', default=true}
Sshd.agent_forward = M.Boolean{
   addr='AllowAgentForwarding', ui_name='Allow agent forwarding', default=true
}

M.register(
   'sshd',
   Sshd,
   {addr='/augeas/etc/ssh/sshd_config', ui_name='SSH daemon'}
)
M.permission.defaults('/sshd')
